POST
Exchange commitments for EdDSA transactions (lite)
Exchange commitments for signing EdDSA transactions. This route is only valid for transaction request lite. You must call this endpoint before calling Create a signature share for the transaction request.
Path Params
-
walletIdstring required -
txRequestIdstring uuid requiredThe ID of the transaction request
Body Params
object
-
commitmentShareobject requiredThe user or backup to the commitment share.commitmentShare object
-
typestring enum requiredThe type of the commitment sharecommitment -
fromstring enum requiredThe source of the commitment shareuserbackupbitgo -
tostring enum requiredThe recipient of the commitment share.userbackupbitgo -
sharestring requiredThe commitment share.
-
-
encryptedSignerShareobject requiredThe encrypted signer share.encryptedSignerShare object
-
typestring enum requiredencryptedSignerShareencryptedRShare -
fromstring enum requiredThe source of the commitment shareuserbackupbitgo -
tostring enum requiredThe recipient of the commitment share.userbackupbitgo -
sharestring requiredThe commitment share.
-
Responses
200
OK
Response Body
object
-
commitmentShareobject requiredThe commitment share.commitmentShare object
-
typestring enum requiredThe type of the commitment sharecommitment -
fromstring enum requiredThe source of the commitment shareuserbackupbitgo -
tostring enum requiredThe recipient of the commitment share.userbackupbitgo -
sharestring requiredThe commitment share.
-
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
401
Unauthorized
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
403
Forbidden
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id